Last Comment Bug 711288 - Property redefinition from accessor to data doesn't default to writable
: Property redefinition from accessor to data doesn't default to writable
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla11
Assigned To: Bobby Holley (:bholley) (busy with Stylo)
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on: 713944
Blocks: 702491
  Show dependency treegraph
 
Reported: 2011-12-15 16:54 PST by Bobby Holley (:bholley) (busy with Stylo)
Modified: 2011-12-28 13:50 PST (History)
2 users (show)
bobbyholley: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Unconditionally use the new value of JSPROP_READONLY in accessor -> data transformations. v1 (1.09 KB, patch)
2011-12-15 17:02 PST, Bobby Holley (:bholley) (busy with Stylo)
jwalden+bmo: review+
Details | Diff | Splinter Review

Description Bobby Holley (:bholley) (busy with Stylo) 2011-12-15 16:54:31 PST
This is a regression from bug 702491.

STR:
python tests/jstests.py $PATH_TO_JS_SHELL --args='' ecma_5/Object/15.2.3.6-redefinition-4

Patch coming right up.
Comment 1 Bobby Holley (:bholley) (busy with Stylo) 2011-12-15 17:02:23 PST
Created attachment 582149 [details] [diff] [review]
Unconditionally use the new value of JSPROP_READONLY in accessor -> data transformations. v1

Attaching a patch. Flagging Waldo for review.
Comment 2 Bobby Holley (:bholley) (busy with Stylo) 2011-12-16 11:18:51 PST
Pushed this to try:

https://tbpl.mozilla.org/?tree=Try&rev=b4b79cbc5445
Comment 3 Bobby Holley (:bholley) (busy with Stylo) 2011-12-16 14:34:49 PST
Pushed to mozilla-inbound: https://hg.mozilla.org/integration/mozilla-inbound/rev/4b701b24223f
Comment 4 Matt Brubeck (:mbrubeck) 2011-12-17 09:29:57 PST
https://hg.mozilla.org/mozilla-central/rev/4b701b24223f

Note You need to log in before you can comment on or make changes to this bug.